Name:    ears-mirror
Summary: EARS Group mirroring scripts and configs
Version: 1.0
Release: 1
License: CUED
Group:   CUED/MILAB/Configuration
Source0: mirror
Source1: replicas-1
Source2: replicas-2
Source3: replicas-blue
Source4: mirroring-schedule
Source5: common.prf
Source6: README
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@eng.cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB
Requires: openssh unison autofs coreutils bash

%description
This package is for use on thetis to mirror filesystems from delta, white 
and widow.  It has no function or applicability anywhere else.


%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/etc/cron.d 
mkdir -p "$RPM_BUILD_ROOT"/root/.unison
mkdir -p "$RPM_BUILD_ROOT"/usr/local/sbin
mkdir -p "$RPM_BUILD_ROOT"/usr/local/mirror/config
cp mirroring-schedule "$RPM_BUILD_ROOT"/etc/cron.d/
cp replicas-1 replicas-2 replicas-blue "$RPM_BUILD_ROOT"/usr/local/mirror/config/
cp mirror "$RPM_BUILD_ROOT"/usr/local/sbin/
cp README "$RPM_BUILD_ROOT"/usr/local/mirror/
cp common.prf "$RPM_BUILD_ROOT"/root/.unison/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root)
%dir /usr/local/mirror
%dir /root/.unison
%attr(755,root,root) /usr/local/sbin/mirror
%attr(755,root,root) /etc/cron.d/mirroring-schedule
%doc    /usr/local/mirror/README
%config /root/.unison/common.prf
%config /usr/local/mirror/config/replicas-1
%config /usr/local/mirror/config/replicas-2
%config /usr/local/mirror/config/replicas-blue


%post
ln -s /root/.unison/common.prf /usr/local/mirror/config/common.prf 

%changelog
* Fri Jan 07 2005 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
